# currents upload

`currents upload` uploads test results created form the followin sources:

* [Jest reporter](/getting-started/other-frameworks/jest/ci-setup/jest-github-actions.md)
* Reports created using [currents convert](/resources/reporters/currents-cmd/currents-convert.md) command

The command uploads results previously generated by one of supported reporters from `process.env.CURRENTS_REPORT_DIR` or `--reportDir <path>` , or the most recently created directory named `.currents/[timestamp]-[uuidv4()]` (in the current working directory).

### Usage

```
npx currents upload --project-id=xxx --key=yyy
```

```bash
# Generate jest results 
$ npx jest --reporters=@currents/jest --reporters=default
[currents]: Run started
[currents]: Report directory is set to - /Users/agoldis/immer/.currents/2024-07-16T20-33-12-555Z-478913e1-1916-499b-8d8d-c08043d50f3d
# ....
[currents]: [__tests__/base.js] - spec results written to file: /Users/agoldis/immer/.currents/2024-07-16T20-33-12-555Z-478913e1-1916-499b-8d8d-c08043d50f3d/instances/Aql-q2CM.json
[currents]: Run completed

# Upload the results to Currents
$ npx currents upload --key=XXX --project-id=C3lBM6
Currents config: {
  projectId: 'C3lBM6',
  recordKey: '*****',
  removeTitleTags: false,
  disableTitleTags: false,
  debug: false
}
Report directory: '.currents/2024-07-16T20-33-12-555Z-478913e1-1916-499b-8d8d-c08043d50f3d'
[root] Run created: 'https://app.currents.dev/run/8466c149d9bbf745'
Script execution finished
✨  Done in 17.96s.
```

### Configuration

`currents upload` options apart from `--project-id` and `--key` are optional. Use `--help` flag to list the available options.

* `-k, --key`
  * The record key to record the results to Currents. Read more: [Record Key](/guides/record-key.md)
  * Environment variable: `CURRENTS_RECORD_KEY`
  * Type: `string`
* `-p, --project-id`
  * The id of the project for reporting
  * Environment variable: `CURRENTS_PROJECT_ID`
  * Type: `string`
* `--ci-build-id`
  * The id of the build to record the test run. Read more [CI Build ID](/guides/parallelization-guide/ci-build-id.md)
  * Environment variable: `CURRENTS_CI_BUILD_ID`
  * Type: `string`
  * Default value: `auto:[random-string]`
* `--report-dir`
  * Directory with the test results generated by one of currents reporters
  * Environment variable: `CURRENTS_REPORT_DIR`
  * Type: `string`
  * Default value: `.currents/[timestamp]-[uuidv4]`
* `-t, --tag`
  * Comma-separated tag(s) to attach to the recorded run
  * Environment variable: `CURRENTS_TAG`
  * Type: `string`
* `--disable-title-tags`
  * Disable extracting tags from test title, e.g. `Test name @smoke` would not be tagged with `smoke`
  * Environment variable: `CURRENTS_DISABLE_TITLE_TAGS`
  * Type: `boolean`
  * Default value: `false`
* `--remove-title-tags`
  * Remove tags from test names in Currents, e.g. `Test name @smoke` becomes `Test name` in the dashboard
  * Environment variable: `CURRENTS_REMOVE_TITLE_TAGS`
  * Type: `boolean`
  * Default value: `false`
* `--debug`
  * Enable debug logs
  * Environment variable: `DEBUG=currents*`
  * Type: `boolean`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.currents.dev/resources/reporters/currents-cmd/currents-upload.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
